package org.project.entity.players;

import org.project.entity.Entity;
import org.project.item.weapons.Sword;
import org.project.item.weapons.Weapon;


public class Knight extends Player {

    private static final int maxHP = 130;
    private static final int maxMP = 70;

    public Knight(String name){
        Weapon knightWeapon = new Sword();
        super(name, maxHP, maxMP, knightWeapon);
        specialAbilityMP = 25;
    }

    @Override
    public void lightAttack(Entity target) {
        super.lightAttack(target);
        System.out.printf("\t%s used Light Attack! (%d Mana)\n", name, 0);
        target.takeDamage(22);
    }


    @Override
    public void specialAbility(Entity target) {
        System.out.printf("\t%s used Special Ability! Enemy misses its next turn. \uD83E\uDDF1 (%d Mana)\n", name, 25);
        target.takeDamage(30);
        this.mp -= specialAbilityMP;
        target.stun(true);
    }



}
